---
- entityDefinitions:
  - IDR_Translation_Value__has__Language: '{3655AEC2-E2C9-4DDE-8D98-0C4D3CE1E569}'
  - IDR_Language__for__Translation_Value: '{bf885bb1-da84-447c-95dc-143ce9deac65}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:    '&IDC_TranslationValue;'
    name:      Translation Value
    index:     1509
    registerForTemplate: yes
    # customTagName: translation
    # instancesLabeledByRAMB: '&IDMB_Method_Binding__get__Executes_Method_and_Method_Type_RAMB;'
    # defaultTask: '&IDI_Task_ViewTranslation;'
    # relatedTasks:
    # - instance: '&IDI_Task_ViewTranslation;'
    # - instance: '&IDI_Task_EditTranslation;'
    relationships: # FIXME: remove this when we can properly inherit definitions in zq-python
    - instance: '&IDR_Translation_Value__has__Language;'
      customTagName: 'language'
      
  - relationship: '&IDR_Translation_Value__has__Language;'
    sourceClassId: '&IDC_TranslationValue;'
    type: 'has'
    destinationClassId: '&IDC_Language;'
    siblingRelationshipId: '&IDR_Language__for__Translation_Value;'
    singular: yes

  - relationship: '&IDR_Language__for__Translation_Value;'
    sourceClassId: '&IDC_Language;'
    type: 'for'
    destinationClassId: '&IDC_TranslationValue;'
    siblingRelationshipId: '&IDR_Translation_Value__has__Language;'
    singular: no
